Bug 143317 - rpm failed to download from ftp if wget is not installed
Summary: rpm failed to download from ftp if wget is not installed
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpm (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-18 20:07 UTC by Rahul Sundaram
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-29 05:56:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rahul Sundaram 2004-12-18 20:07:19 UTC
Description of problem:
rpm failed to download from ftp if wget is not installed



Version-Release number of selected component (if applicable):

rpm-4.2.3-10

How reproducible:

everytime


Steps to Reproduce:
1. remove wget and do rpm -ivh ftp://ftplocation/rpmfile

Actual results:

fails with unknown error

Expected results:

should detect and request the user to install wget

Additional info:

probably better to specify a runtime dependency on wget if thats optimal

Comment 1 Jeff Johnson 2004-12-29 05:56:36 UTC
rpm has an internal ftp client and does not use wget. Something
else is wrong.


Note You need to log in before you can comment on or make changes to this bug.